Dvorapa added a comment.

With https://gerrit.wikimedia.org/r/415771 there is still no difference for -repeat. It still behaves as I described in T185561#4015457

Please give me the traceback of:

Last 3 articles printed to terminal:

>>> .it <<<
STDOUT:pywiki:

>>> {lightpurple}.it{default} <<<
WARNING: Http response status 404
WARNING:pywiki:Http response status 404
*[[.it]] links to http://www.nic.it/RA/en/domini/passi.html - 404.
INFO:pywiki:*[[.it]] links to http://www.nic.it/RA/en/domini/passi.html - 404.
WARNING: Http response status 404
WARNING:pywiki:Http response status 404
*[[.it]] links to http://www.nic.it/RA/en/domini/contestazione.html - 404.
INFO:pywiki:*[[.it]] links to http://www.nic.it/RA/en/domini/contestazione.html - 404.
Exception while processing URL http://www.iana.org/root-whois/ir.htm in page .ir
INFO:pywiki:Exception while processing URL http://www.iana.org/root-whois/ir.htm in page .ir
Exception in thread b'.ir - http://www.iana.org/root-whois/ir.htm':
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
    chunked=chunked)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 387, in _make_request
    six.raise_from(e, None)
  File "<string>", line 2, in raise_from
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 383, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.6/http/client.py", line 1331, in getresponse
    response.begin()
  File "/usr/lib/python3.6/http/client.py", line 297, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.6/http/client.py", line 266, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 440, in send
    timeout=timeout
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 639, in urlopen
    _stacktrace=sys.exc_info()[2])
  File "/usr/lib/python3.6/site-packages/urllib3/util/retry.py", line 357, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/lib/python3.6/site-packages/urllib3/packages/six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 601, in urlopen
    chunked=chunked)
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 387, in _make_request
    six.raise_from(e, None)
  File "<string>", line 2, in raise_from
  File "/usr/lib/python3.6/site-packages/urllib3/connectionpool.py", line 383, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.6/http/client.py", line 1331, in getresponse
    response.begin()
  File "/usr/lib/python3.6/http/client.py", line 297, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.6/http/client.py", line 266, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
urllib3.exceptions.ProtocolError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/threading.py", line 916, in _bootstrap_inner
    self.run()
  File "./scripts/weblinkchecker.py", line 602, in run
    use_fake_user_agent=self._use_fake_user_agent)
  File "/home/pavel/pywikibot/pywikibot/comms/http.py", line 521, in fetch
    error_handling_callback(request)
  File "/home/pavel/pywikibot/pywikibot/comms/http.py", line 408, in error_handling_callback
    raise request.data
  File "/home/pavel/pywikibot/pywikibot/comms/http.py", line 387, in _http_process
    **http_request.kwargs)
  File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 508, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3.6/site-packages/requests/sessions.py", line 618, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3.6/site-packages/requests/adapters.py", line 490, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response',))

WARNING: Http response status 404
WARNING:pywiki:Http response status 404
*[[.ir]] links to http://www.nic.ir/ascii/DRP.htm - 404.
INFO:pywiki:*[[.ir]] links to http://www.nic.ir/ascii/DRP.htm - 404.
** Logging link for deletion.
INFO:pywiki:** Logging link for deletion.
Working on '.ki'
VERBOSE:pywiki:Working on '.ki'


>>> .ki <<<
STDOUT:pywiki:

>>> {lightpurple}.ki{default} <<<
WARNING: Http response status 404
WARNING:pywiki:Http response status 404
*[[.ki]] links to http://www.nic.ki - 404.
INFO:pywiki:*[[.ki]] links to http://www.nic.ki - 404.
WARNING: Http response status 404
WARNING:pywiki:Http response status 404
*[[.it]] links to http://www.nic.it/RA/en/ - 404.
INFO:pywiki:*[[.it]] links to http://www.nic.it/RA/en/ - 404.
** Logging link for deletion.
INFO:pywiki:** Logging link for deletion.
Working on '.lb'
VERBOSE:pywiki:Working on '.lb'


>>> .lb <<<
STDOUT:pywiki:

>>> {lightpurple}.lb{default} <<<
WARNING: Http response status 404
WARNING:pywiki:Http response status 404
*[[.ki]] links to http://www.nic.ki/ - 404.
INFO:pywiki:*[[.ki]] links to http://www.nic.ki/ - 404.
WARNING: Http response status 404
WARNING:pywiki:Http response status 404
*[[.lb]] links to http://www.aub.edu.lb/lbdr/lbdr-rules-19990922.html - 404.
INFO:pywiki:*[[.lb]] links to http://www.aub.edu.lb/lbdr/lbdr-rules-19990922.html - 404.

P6784 gdm weblinkchecker -repeat


TASK DETAIL
https://phabricator.wikimedia.org/T185561

EMAIL PREFERENCES
https://phabricator.wikimedia.org/settings/panel/emailpreferences/

To: zhuyifei1999, Dvorapa
Cc: gerritbot, Dalba, Xqt, Zoranzoki21, zhuyifei1999, Aklapper, pywikibot-bugs-list, Dvorapa, Giuliamocci, Adrian1985, Cpaulf30, Baloch007, Darkminds3113, Lordiis, Adik2382, Th3d3v1ls, Ramalepe, Liugev6, Magul, Tbscho, rafidaslam, MayS, Lewizho99, Mdupont, JJMC89, Maathavan, Avicennasis, jayvdb, Masti, Alchimista, Rxy
_______________________________________________
pywikibot-bugs mailing list
pywikibot-bugs@lists.wikimedia.org
https://lists.wikimedia.org/mailman/listinfo/pywikibot-bugs

Reply via email to